* {
    box-sizing: border-box;
}

body {
  margin: 0;
  background: #999999;
  font-family:  NunitoSans-Light;
  font-size: 16px;
  font-weight: 300;
  text-align: center;
  max-height: 100vh !important;
  max-width: 100vw !important;
  overflow: hidden;
}

a{
    text-decoration: none;
}

:root {
    --main-color: #72BAB0;
}

@font-face{
    font-family: NunitoSans-Bold;
    src: url('../fonts/nunitosans_bold.ttf');
}

@font-face{
    font-family: NunitoSans-Light;
    src: url('../fonts/nunitosans_light.ttf');
}

@font-face{
    font-family: NunitoSans-LightItalic;
    src: url('../fonts/NunitoSans-LightItalic.ttf');
}

@font-face{
    font-family: NunitoSans-Regular;
    src: url('../fonts/NunitoSans-Regular.ttf');
}

@font-face{
    font-family: NunitoExtraLight;
    src: url('../fonts/nunitosans_extralight.ttf');
}

@font-face{
    font-family: NunitoSans-SemiBold;
    src: url('../fonts/nunitosans_semibold.ttf');
}
.bolder{
  font-weight: 700;
  font-family: NunitoSans-SemiBold;
}
/* ARQUITECTURA CENTRAL */

.wrapper {
  position: relative;
  display: inline-block;
  width: 1250px;
  height: 100vh;
  max-width: 100%;
  grid-auto-columns: 100%;
  background: rgb(255, 255, 255);
  text-align: left;
}

.interactiu-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: center;
    align-items: center;
    height: 100%;
    width: 100%;
    background-color: #cccccc;
}

.main-content{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    align-content: center;
    width: 100%;
    height: 100%;
    background-color: white;
}

.btn, .mainBtn, .closeBtn{
    cursor: pointer;
}

.pantalla{
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  width: 100%;
  height: 93%;
}

.pantalla{
  display: none;
}

.card-wrap{
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  height: 100%;
  flex-wrap: wrap;
}

.card{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 24%;
  height: 40%;
  margin-top: 1.5%;
  cursor: pointer;
}
.text-main{
  padding-left: 1%;
}
.img-wrap{
  width: 100%;
  height: 85%;
}

.img-menu{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.text-card{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 15%;
  font-family: NunitoSans-SemiBold;
  font-size: 16px;
  background-color: #EAE8D8;
  text-align: center;
}

/*SUBPANTALLAS*/

.header-subpantalla{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 8%;
  width: 100%;
  padding-left: 1%;
}

.title-subpantalla{
  font-family: NunitoSans-SemiBold;
  font-size: 21px;
  width: 95%;
  height: 100%;
  padding-top: 1%;
  margin-top:55px;
}

.close-subpantalla{
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: flex-start;
  width: 5%;
  height: 100%;
  font-family: NunitoSans-Light;
  font-size: 18px;
  text-align: end;
  padding-right: 1%;
  padding-top: 0.5%;
  cursor: pointer;
}

.img-element{
  width: 50%;
  height: 94%;
}

.imgovideo-subpantalla{
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 50% 80%;
  padding: 1% 1% 0% 1%;
}

.text-subpantalla{
  font-family: NunitoSans-Light;
  font-size: 16px;
  width: 50%;
  height: 20%;
  min-height: 20%;
  max-height: 20%;
  padding: 1% 1% 2% 1%;
  margin-top: 35px;
  text-align: justify;
}
.title-main{
  font-family: NunitoSans-SemiBold;
  font-size: 16px;
  width: 100%;
  height: 7%;
  padding-top: 1%;
  padding-left: 1%;
}
.wrapper-subpantalla{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  height: 95%;
}
/*Puntitos interactividad*/
.puntos-wrap{
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  width: 100%;
}

.puntito{
  width: 4px;
  height: 4px;
  border-radius: 50%;
  background-color: var(--main-color);
  margin-right: 4px;
  margin-top: 4px;
}

.footer-info{
    cursor: pointer;
    position: absolute;
    bottom: 10px;
    right: 10px;
}
  
    
/*-info-*/

.blackBack{
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10000;
  background-color: rgba(0, 0, 0, 0.233);
  opacity: 0;
  transition: all 0.3s;
}

.info-wrapper{
  pointer-events: none;
  position: absolute;
  left: 0; 
  right: 0; 
  margin-left: auto; 
  margin-right: auto; 
  top: 0;
  bottom: 0;
  margin-top: auto; 
  margin-bottom: auto;
  width: 95%;
  height: 95%;
  z-index: 100000;
  background-color: rgb(255, 255, 255);
  border-radius: 2px;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.348667);
  opacity: 0;
  transition: all 0.3s;
}

.info-texts-wrapper{
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  padding: 2vw;
  align-items: flex-start;
  align-content: flex-start;
  justify-content: space-between;
}

.top-info-texts-wrapper{
  width: 100%;
}

.times{
  width: 15px;
  height: 15px;
  cursor: pointer;
}

.title{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  font-family: NunitoSans-SemiBold;
  font-size: 20px;    
}

.bolder{
  font-weight: 700;
}
.credits{    
  padding-top: 22px;
  font-size: 16px;
}
  
.copyright{
  font-size: 11px;
}
  
/*FIN INFO*/

  
/*LOADER*/

.loader-wrapper{
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  background-color: #f3f3f3;
  z-index: 1000;
}

.circle-wrap {
  margin: 150px auto;
  width: 130px;
  height: 130px;
  background: #fefcff;
  border-radius: 50%;
  border: 1px solid #cdcbd0;
}

.circle-wrap .circle .mask,
.circle-wrap .circle .fill {
  width: 130px;
  height: 130px;
  position: absolute;
  border-radius: 50%;
}

.circle-wrap .circle .mask {
  clip: rect(0px, 130px, 130px, 65px);
}

.circle-wrap .inside-circle {
  width: 122px;
  height: 122px;
  border-radius: 50%;
  background: #f3f3f3;
  line-height: 120px;
  text-align: center;
  margin-top: 4px;
  margin-left: 4px;
  color: #020202;
  position: absolute;
  z-index: 100;
  font-weight: 700;
  font-size: 2em;
}

.mask .fill {
  clip: rect(0px, 65px, 130px, 0px);
  background-color: #141414;
}

.mask.full,
.circle .fill {
  animation: fill ease-in-out 2s;
  transform: rotate(0deg);
}

@keyframes fill{
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(180deg);
  }
}



/*VERSIÓN PANTALLA COMPLETA CON MARCOS*/
/*---------HEADER----------*/
.header{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 7%;  
  background-color: var(--main-color);
  color: white;
  font-size: 1.7em;
  font-family: NunitoSans-SemiBold;
  font-weight: 700;
}
@media screen and (max-width: 768px){
  .header{
      font-size: 1em;
  }
}


/*----------Footer----------*/

.footer{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 10%;    
  background-color: var(--main-color);
}

.footer-left{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  padding-left: 3%;
  height: 100%;
  width: 50%;
}

.logo{ /*logo casals*/
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  height: 100%;
}

.text-casals{
  margin-left: 2%;
  font-size: 1.5em;
  color: white;
  font-weight: bolder;
}

.footer-right{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  padding-right: 3%;
  height: 100%;
  width: 50%;
}
.icon-footer{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  position: relative;
  margin-left: 1%;
  height: 45%;
  width: 7%;
  background-color: rgba(0, 0, 0, 0.2);    
  cursor: pointer;
}

.info-icon-footer{    
  border-radius: 50%;
}

.btn{
  cursor: pointer;
}